var n = (t, e, o) => new Promise((m, s) => {
  var u = (r) => {
    try {
      a(o.next(r));
    } catch (i) {
      s(i);
    }
  }, g = (r) => {
    try {
      a(o.throw(r));
    } catch (i) {
      s(i);
    }
  }, a = (r) => r.done ? m(r.value) : Promise.resolve(r.value).then(u, g);
  a((o = o.apply(t, e)).next());
});
import { b as p, p as l } from "../lazy/ui-skeleton-BBQWByBl.js";
import { d as h } from "./app-globals-0f993ce5-XUXOuUQl.js";
import { U as k } from "./ui-skeleton-ed169f8f-W8BHwBHY.js";
var c = () => {
  const t = import.meta.url, e = {};
  return t !== "" && (e.resourcesUrl = new URL(".", t).href), l(e);
};
c().then((t) => n(void 0, null, function* () {
  return yield h(), p([["ui-skeleton", [[0, "ui-skeleton", { structure: [1], width: [1], height: [1], borderRadius: [8, "border-radius"], marginBottom: [8, "margin-bottom"], marginTop: [8, "margin-top"], marginLeft: [8, "margin-left"], marginRight: [8, "margin-right"], animation: [4], rows: [2], size: [1] }, null, { structure: ["handleStructureChange"] }]]]], t);
}));
export {
  k as ui_skeleton
};
